Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 13-09-2017 01:18:59

Caribou22
Membre
Lieu : 22, Côtes d'Armor, Bretagne
Distrib. : Debian Stretch
Noyau : 4.9 amd64
(G)UI : XFCE
Inscription : 10-11-2014
Site Web

GNOME-software (logiciels) non-fonctionnel

Bonsoir,

Je viens d'installer DFlinuStretch rev1 amd64 (Debian 9.1 Xfce donc) sur un PC, puis j'ai installé GNOME-software.
Celui-ci s'ouvre, mais :

- Je n'ai pas de catalogue :
1505258103.png
- La recherche ne trouve que les logiciels que j'ai déjà installé.

Bref, GNOME-software est inutilisable. On dirait qu'il n'a pas accès aux dépôts alors que "paquets", synaptic et APT l'ont sad

Auriez-vous une solution pour que GNOME-software y accède également ?

Je vous en remercie d'avance smile

En ligne

#2 13-09-2017 10:13:35

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : GNOME-software (logiciels) non-fonctionnel

Bonjour
Tu dois avoir des messages d'erreur quand tu le lances depuis un terminale
J'espère que ce sera parlant comme message wink

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#3 13-09-2017 14:22:47

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch + backports
Noyau : Linux 4.9.0-7-amd64
(G)UI : Mate 1.20
Inscription : 11-03-2016

Re : GNOME-software (logiciels) non-fonctionnel

Bonjour,
Peut être le même problème qu'ici : https://bugs.debian.org/cgi-bin/bugrepo … bug=856392
La solution serait de changer dans préférence > région > lange de français à anglais pour voir si ça donne un catalogue
Bizarre....

En ligne

#4 13-09-2017 14:57:29

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : GNOME-software (logiciels) non-fonctionnel

gnome-software --help



--prefer-local                    Préférer les sources des fichiers locaux à AppStream


Essai avec cette option

gnome-software --prefer-local


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#5 13-09-2017 21:19:33

Caribou22
Membre
Lieu : 22, Côtes d'Armor, Bretagne
Distrib. : Debian Stretch
Noyau : 4.9 amd64
(G)UI : XFCE
Inscription : 10-11-2014
Site Web

Re : GNOME-software (logiciels) non-fonctionnel

Merci pour vos réponses. Je crois qu'on ne connaîtra jamais la cause car ça a subitement fonctionné sans aucune raison. woohoo.gif

Mais pour répondre quand-même :
@chalu : Je suis sous Xfce, pas GNOME. Du coup je n'ai pas les préférences de langue, si ? hmm
@croutons : Je ne sais pas si ça vaut la peine de tester du coup ? tongue

En ligne

#6 13-09-2017 21:49:46

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch + backports
Noyau : Linux 4.9.0-7-amd64
(G)UI : Mate 1.20
Inscription : 11-03-2016

Re : GNOME-software (logiciels) non-fonctionnel

Ah oui, je pensais que c'était un réglage dans le logiciel lui-même à tenter.
un résolu mystérieux alors smile

En ligne

#7 13-09-2017 22:42:33

Caribou22
Membre
Lieu : 22, Côtes d'Armor, Bretagne
Distrib. : Debian Stretch
Noyau : 4.9 amd64
(G)UI : XFCE
Inscription : 10-11-2014
Site Web

Re : GNOME-software (logiciels) non-fonctionnel

Il installe bien les logiciels, mais ne veut pas faire les mises à jour par contre. Pas grave. pk-update-icon le fait bien wink

En ligne

#8 14-09-2017 15:27:37

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : GNOME-software (logiciels) non-fonctionnel

@croutons : Je ne sais pas si ça vaut la peine de tester du coup ?


ba c'est en user donc tu risques rien
m'enfin c'est plus pertinent les recherches avec synaptic
ça te laisse + de latitude pour découvrir des applications
Souvent je recherche dans noms et commentaire


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#9 14-09-2017 18:27:13

Caribou22
Membre
Lieu : 22, Côtes d'Armor, Bretagne
Distrib. : Debian Stretch
Noyau : 4.9 amd64
(G)UI : XFCE
Inscription : 10-11-2014
Site Web

Re : GNOME-software (logiciels) non-fonctionnel

Croutons a écrit :

@croutons : Je ne sais pas si ça vaut la peine de tester du coup ?


ba c'est en user donc tu risques rien
m'enfin c'est plus pertinent les recherches avec synaptic
ça te laisse + de latitude pour découvrir des applications
Souvent je recherche dans noms et commentaire



J'installe tout avec apt personnellement. Mais pour la personne qui va recevoir l'ordi, c'est mieux d'avoir quelque-chose de visuel et intuitif smile

En ligne

#10 03-09-2018 21:04:32

cernunos
Membre
Inscription : 19-10-2016

Re : GNOME-software (logiciels) non-fonctionnel

Croutons a écrit :

gnome-software --help



--prefer-local                    Préférer les sources des fichiers locaux à AppStream


Essai avec cette option

gnome-software --prefer-local



Bonjour à tous,

j'ai le même problème que Caribou22. La solution ci-dessus fonctionne mais je souhaite proposer cette solution pour le PC de mon fils avec CTparental qui impose de lui faire une session utilisateur standar. Il ne peut donc pas exécuter cette commande qui exige le mode "sudo".

Une solution à me proposer ?
Merci d'avance wink

Hors ligne

#11 06-09-2018 18:15:01

Caribou22
Membre
Lieu : 22, Côtes d'Armor, Bretagne
Distrib. : Debian Stretch
Noyau : 4.9 amd64
(G)UI : XFCE
Inscription : 10-11-2014
Site Web

Re : GNOME-software (logiciels) non-fonctionnel

Bonjour smile

De toute manière, il me semble que tu ne peux pas du tout utiliser gnome-software sans les droits administrateur ?

En ligne

Pied de page des forums